﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace Threads
{
	class Program
	{
		static void Main(string[] args)
		{
			Thread t1 = new Thread(new ThreadStart(MyThread1));
			Thread t2 = new Thread(new ThreadStart(MyThread2));
			t1.Start();
			t2.Start();
			Thread.Sleep(500);
			t1.Abort();
			t2.Abort();
			Console.ReadKey();
		}

		static void MyThread1()
		{
			for (int i = 0; i < 100; i++)
				Console.Write("Thread 1");
		}

		static void MyThread2()
		{
			for (int i = 0; i < 100; i++)
				Console.Write("Thread 2");
		}
	}
}
